Page MenuHomePhabricator

Enable RESTBase in stage 0 wikis
Closed, ResolvedPublic1 Story Points

Description

Page previews should use RESTBase in stage 0 wikis (italian, russian, greek, catalan, hebrew).
Sync with performance team around this to let them know this has happened.

NOTE: Enable restbase in stage 0 wikis on March 14, enable stage 0 wikis March 20.

Event Timeline

Restricted Application added a subscriber: Aklapper. Β· View Herald TranscriptFeb 15 2017, 6:39 PM
Jdlrobson updated the task description. (Show Details)
ovasileva triaged this task as High priority.Feb 15 2017, 6:43 PM
Restricted Application added a subscriber: Dereckson. Β· View Herald TranscriptFeb 15 2017, 6:43 PM
ovasileva set the point value for this task to 1.Feb 15 2017, 6:44 PM
phuedx added a subscriber: phuedx.Feb 21 2017, 10:54 AM

Why is this in Blocked Externally?

Change 340697 had a related patch set uploaded (by Phuedx):
[operations/mediawiki-config] Make Page Previews use RESTBase on "stage 0" wikis

https://gerrit.wikimedia.org/r/340697

ovasileva updated the task description. (Show Details)Mar 14 2017, 5:12 PM

Change 340697 merged by jenkins-bot:
[operations/mediawiki-config] Make Page Previews use RESTBase on "stage 0" wikis

https://gerrit.wikimedia.org/r/340697

This is now live. It reveals a few issues I'm not sure if we've captured or whether they have been fixed already. Please capture bugs for any new issues I'm raising here.

Visit https://it.wikipedia.org/w/index.php?title=Adolf_Hitler&oldid=86286045

  • Hover over 2016, 1908, Georg von SchΓΆnerer or Braunau am Inn and "==" is visible in the extract. Expected: We should cut off before the '=' sign. I think this is captured in T101153 ?
  • SVGs rendering as broken images. Hover over Repubblica di Weimar / Karl DΓΆnitz to see this.
  • SVGs rendering as broken images. Hover over Repubblica di Weimar / Karl DΓΆnitz to see this.

This was mibad. I thought the fix for broken SVG thumbnails rode last week's train. It is riding this week's train, though, and will be deployed to the group0 wikis on Thursday, 16th at 7 PM UTC.

phuedx reassigned this task from phuedx to ovasileva.Mar 15 2017, 5:58 AM

The fix has been deployed. The changes will become visible as soon as the summary outputs fall out of cache (see T101153)

ovasileva closed this task as Resolved.Mar 16 2017, 10:23 PM

blocker now resolved: